Loading...
Searching...
No Matches
BALL::PoseClustering::ClusterTreeNodeComparator Class Reference

`#include <BALL/DOCKING/COMMON/poseClustering.h>`

## Public Member Functions

| ClusterTreeNodeComparator (ClusterTree &cluster_tree)
bool | operator() (ClusterTreeNode const first, ClusterTreeNode const second) const

## Protected Attributes

ClusterTree * | cluster_tree_

## Detailed Description

A nested class for our cluster tree node priorization

Definition at line 578 of file poseClustering.h.

## Constructor & Destructor Documentation

## ClusterTreeNodeComparator()

BALL::PoseClustering::ClusterTreeNodeComparator::ClusterTreeNodeComparator | ( | ClusterTree & | cluster_tree | ) |

inline

Definition at line 581 of file poseClustering.h.

## Member Function Documentation

## operator()()

bool BALL::PoseClustering::ClusterTreeNodeComparator::operator() | ( | ClusterTreeNode const | first,
|  | ClusterTreeNode const | second ) const

inline

Definition at line 585 of file poseClustering.h.

## Member Data Documentation

## cluster_tree_

ClusterTree* BALL::PoseClustering::ClusterTreeNodeComparator::cluster_tree_

protected

Definition at line 594 of file poseClustering.h.